# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

"""
	See the source &rarr;
"""

if __name__ == "__main__":

	from ums.utils import ManagementRequest

	m_request = ManagementRequest()

	# get infos from Management

	print(
		# message number 12
		m_request.get_message(count=12)
	)

	print(
		# first two messages of id "test"
		m_request.list_messages(id="test", limit=2)
	)

	print(
		# count messages with id "test"
		m_request.total_messages(id="test")
	)

	from ums.utils import AgentMessage, Riddle, RiddleData, RiddleDataType, RiddleSolution

	# send messages to management

	#	basic message
	msg = AgentMessage(
		id="example",
		riddle=Riddle(context="Today is the 1. January 1970", question="What time is it?"),
		data=[
			RiddleData(
				type=RiddleDataType.TEXT,
				file_plain="./cv.txt" # make sure this file exists!
			)
		]
	)
	#	disable some steps 
	msg.status.extract.required = False
	msg.status.validate.required = False

	print(
		# send the message
		m_request.send_message(msg)
	)